Bug 1689443 - [marketplace] Rename cluster operator object name from "marketplace-operator" to "marketplace"
Summary: [marketplace] Rename cluster operator object name from "marketplace-operator"...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Alexander Greene
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-15 22:52 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Marketplace Operator ClusterOperator was created with the name `marketplace-operator` rather than `marketplace` Consequence: The Marketplace ClusterOperator had the wrong name. Fix: Create the ClusterOperator with the name `marketplace-operator`. Result: Marketplace's ClusterOperator has the correct name.
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:06 UTC

Description Clayton Coleman 2019-03-15 22:52:39 UTC
ClusterOperator names by convention omit redundant info, which `-operator` qualifies as.

Update for beta3 because this will be part of api.

Comment 1 Alexander Greene 2019-03-20 19:54:17 UTC
Progress can be viewed here: https://github.com/operator-framework/operator-marketplace/pull/134

Comment 2 Alexander Greene 2019-03-21 16:41:07 UTC
PR containing the required changes has been merged and is ready for review: https://github.com/operator-framework/operator-marketplace/pull/134

Comment 3 Fan Jia 2019-03-22 03:11:01 UTC
The latest nightly build doesn't include this pr , will confirm after the pr is included by nightly build
cv: 4.0.0-0.nightly-2019-03-22-002648
marketplace image:quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c802c1681883549a6a6b123719866b382218294259d55d5464415cf9464b189f
marketplace commit:68b01f6507267f6deefa952a1034b74a5e8480bf

Comment 4 Fan Jia 2019-03-22 09:40:57 UTC
test env:
cv: 4.0.0-0.nightly-2019-03-22-062943
marketplace image:quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5782d66f4f51e925a20832085e7e1457e35400543449e83c56b4213bf69725d4
marketplace commit:213899cee5dcf37f78522f56196a860be10b1e94

The marketplace project is now "marketplace":
#oc get clusteroperator | grep marketplace
NAME                                  VERSION                             AVAILABLE   PROGRESSING   FAILING   SINCE
marketplace                           4.0.0-0.nightly-2019-03-22-062943   True        False         False     15m

Comment 6 errata-xmlrpc 2019-06-04 10:46:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.